﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Data;
using Infragistics.Windows.DataPresenter;

namespace XamDataGridFiltering
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = CreateTable(2, 10);
            
        }

        public DataTable CreateTable(int columns, int rows)
        {
            DataTable d = new DataTable();
            Random r = new Random();

            for (int i = 0; i < columns; i++)
            {
                d.Columns.Add(new DataColumn("Column " + i, typeof(double)));
            }
            for (int i = 0; i < rows; i++)
            {
                DataRow row = d.NewRow();

                for (int j = 0; j < columns; j++)
                {
                    row["Column " + j] = r.Next(1000 * i);
                }

                d.Rows.Add(row);
            }
            return d;
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            MessageBoxResult mbr =  MessageBox.Show("Are sure you want to clear values ?",
                            "Warning !!!",
                            MessageBoxButton.YesNo,
                            MessageBoxImage.Warning,
                            MessageBoxResult.No);

            if (mbr == MessageBoxResult.Yes)
            {
                foreach (var r in xamDataGrid1.Records)
                {
                    foreach (var c in (r as DataRecord).Cells)
                    {
                        if (c.Field.Settings.AllowEdit == null || c.Field.Settings.AllowEdit == true)
                        {
                            c.Value = Double.NaN;
                        }
                    }
                }
                (this.DataContext as DataTable).AcceptChanges();
            } 
           
        }
    }  
}
